Oracle Linux 6134 Published by

A rust security update has been released for Oracle Linux 9.



ELSA-2023-4634 Important: Oracle Linux 9 rust security update


Oracle Linux Security Advisory ELSA-2023-4634

http://linux.oracle.com/errata/ELSA-2023-4634.html

The following updated rpms for Oracle Linux 9 have been uploaded to the Unbreakable Linux Network:

x86_64:
cargo-1.66.1-2.el9_2.x86_64.rpm
clippy-1.66.1-2.el9_2.x86_64.rpm
rust-1.66.1-2.el9_2.x86_64.rpm
rust-analysis-1.66.1-2.el9_2.x86_64.rpm
rust-analyzer-1.66.1-2.el9_2.x86_64.rpm
rust-debugger-common-1.66.1-2.el9_2.noarch.rpm
rust-doc-1.66.1-2.el9_2.x86_64.rpm
rust-gdb-1.66.1-2.el9_2.noarch.rpm
rust-lldb-1.66.1-2.el9_2.noarch.rpm
rust-src-1.66.1-2.el9_2.noarch.rpm
rust-std-static-1.66.1-2.el9_2.i686.rpm
rust-std-static-1.66.1-2.el9_2.x86_64.rpm
rust-std-static-wasm32-unknown-unknown-1.66.1-2.el9_2.noarch.rpm
rust-std-static-wasm32-wasi-1.66.1-2.el9_2.noarch.rpm
rust-toolset-1.66.1-2.el9_2.x86_64.rpm
rustfmt-1.66.1-2.el9_2.x86_64.rpm

aarch64:
cargo-1.66.1-2.el9_2.aarch64.rpm
clippy-1.66.1-2.el9_2.aarch64.rpm
rust-1.66.1-2.el9_2.aarch64.rpm
rust-analysis-1.66.1-2.el9_2.aarch64.rpm
rust-analyzer-1.66.1-2.el9_2.aarch64.rpm
rust-debugger-common-1.66.1-2.el9_2.noarch.rpm
rust-doc-1.66.1-2.el9_2.aarch64.rpm
rust-gdb-1.66.1-2.el9_2.noarch.rpm
rust-lldb-1.66.1-2.el9_2.noarch.rpm
rust-src-1.66.1-2.el9_2.noarch.rpm
rust-std-static-1.66.1-2.el9_2.aarch64.rpm
rust-std-static-wasm32-unknown-unknown-1.66.1-2.el9_2.noarch.rpm
rust-std-static-wasm32-wasi-1.66.1-2.el9_2.noarch.rpm
rust-toolset-1.66.1-2.el9_2.aarch64.rpm
rustfmt-1.66.1-2.el9_2.aarch64.rpm

SRPMS:
http://oss.oracle.com/ol9/SRPMS-updates//rust-1.66.1-2.el9_2.src.rpm

Related CVEs:

CVE-2023-38497

Description of changes:

[1.66.1-2]
- rust-cargo: cargo does not respect the umask when extracting dependencies (CVE-2023-38497)